
/*
 Copyright 1992 - John K. Humkey
 */

/* TIMPOINT.H */

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <string.h>
#include <dos.h>

void astro_to_date(int *year, int *month, int *day, long *ast);
void date_to_astro(int *year, int *month, int *day, long *ast);
void time_to_astro(int *hour, int *mins,  int *sec, int *millisec, long *ast);
void astro_to_time(int *hour, int *mins,  int *sec, int *millisec, long *ast);

class timepoint {

   private:

   public:

      long  dateval;
      long  msecval;

      timepoint(int year = 0, int month   = 0, int day    = 0,
                int hour = 0, int minute  = 0, int second = 0,
                int millisecond = 0);                   //Constructor

      ~timepoint();                                     //Descructor

      void print();
		void setdt(long dx, long tx);
		char *mdy2w( char *str );
		char *mdy4w( char *str );
		char *mdy2( char *str );
		char *mdy4( char *str );
		char *y2md( char *str );
		char *y4md( char *str );

      friend timepoint operator  + ( timepoint &tdone, timespan  &tdtwo );
      friend timepoint operator  - ( timepoint &tdone, timespan  &tdtwo );
      friend timespan  operator  - ( timepoint &tdone, timepoint &tdtwo );
      friend timepoint operator += ( timepoint &tdone, timespan  &tdtwo );
      friend timepoint operator -= ( timepoint &tdone, timespan  &tdtwo );
      friend int       operator  < ( timepoint &tdone, timepoint &tdtwo );
      friend int       operator  > ( timepoint &tdone, timepoint &tdtwo );
      friend int       operator == ( timepoint &tdone, timepoint &tdtwo );
      friend int       operator != ( timepoint &tdone, timepoint &tdtwo );
      friend int       operator <= ( timepoint &tdone, timepoint &tdtwo );
      friend int       operator >= ( timepoint &tdone, timepoint &tdtwo );
};

